## mx4j.server
Class DefaultClassLoaderRepository

    java.lang.Object
      mx4j.server.ModifiableClassLoaderRepository
          mx4j.server.DefaultClassLoaderRepository

All Implemented Interfaces:
  javax.management.loading.ClassLoaderRepository

public class DefaultClassLoaderRepository
extends ModifiableClassLoaderRepository

Default implementation of a ClassLoaderRepository

Version:
  $Revision: 1.8 $

Constructor Summary
`DefaultClassLoaderRepository()`

Method Summary
`protected void` `addClassLoader(java.lang.ClassLoader cl)` Adds, if does not already exist, the specified ClassLoader to this repository.
`protected java.util.ArrayList` `cloneClassLoaders()`
`protected java.util.ArrayList` `getClassLoaders()`
`java.lang.Class` `loadClass(java.lang.String className)`
`java.lang.Class` `loadClassBefore(java.lang.ClassLoader loader, java.lang.String className)`
`java.lang.Class` `loadClassWithout(java.lang.ClassLoader loader, java.lang.String className)`
`protected void` `removeClassLoader(java.lang.ClassLoader cl)` Removes, if exists, the specified ClassLoader from this repository.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultClassLoaderRepository

    public DefaultClassLoaderRepository()

Method Detail

### loadClass

    public java.lang.Class loadClass(java.lang.String className)
                              throws java.lang.ClassNotFoundException

  Throws:
    `java.lang.ClassNotFoundException`

### loadClassWithout

    public java.lang.Class loadClassWithout(java.lang.ClassLoader loader,
                                            java.lang.String className)
                                     throws java.lang.ClassNotFoundException

  Throws:
    `java.lang.ClassNotFoundException`

### loadClassBefore

    public java.lang.Class loadClassBefore(java.lang.ClassLoader loader,
                                           java.lang.String className)
                                    throws java.lang.ClassNotFoundException

  Throws:
    `java.lang.ClassNotFoundException`

### addClassLoader

    protected void addClassLoader(java.lang.ClassLoader cl)

  Description copied from class: `ModifiableClassLoaderRepository`
  Adds, if does not already exist, the specified ClassLoader to this repository.

  Specified by:
    `addClassLoader` in class `ModifiableClassLoaderRepository`
  Parameters:
    `cl` - The classloader to add
  See Also:
    `ModifiableClassLoaderRepository.removeClassLoader(java.lang.ClassLoader)`

### removeClassLoader

    protected void removeClassLoader(java.lang.ClassLoader cl)

  Description copied from class: `ModifiableClassLoaderRepository`
  Removes, if exists, the specified ClassLoader from this repository.

  Specified by:
    `removeClassLoader` in class `ModifiableClassLoaderRepository`
  Parameters:
    `cl` - The classloader to remove
  See Also:
    `ModifiableClassLoaderRepository.addClassLoader(java.lang.ClassLoader)`

### cloneClassLoaders

    protected java.util.ArrayList cloneClassLoaders()

### getClassLoaders

    protected java.util.ArrayList getClassLoaders()

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.